Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class ColorWheelImageProducer

java.lang.Object
java.awt.image.MemoryImageSource
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorWheelImageProducer

All Implemented Interfaces:
  `ImageProducer`

public class ColorWheelImageProducer extends MemoryImageSource
Produces the image of a ColorWheel.

See Also:
  - `ColorWheel`

## Constructor Summary

Constructors
Constructor
Description
`ColorWheelImageProducer(int w, int h)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`generateColorWheel()`
`int`
`getRadius()`
`boolean`
`needsGeneration()`
`void`
`regenerateColorWheel()`
`void`
`setBrightness(float newValue)`

### Methods inherited from class java.awt.image.MemoryImageSource

`addConsumer, isConsumer, newPixels, newPixels, newPixels, newPixels, newPixels, removeConsumer, requestTopDownLeftRightResend, setAnimated, setFullBufferUpdates, startProduction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorWheelImageProducer

public ColorWheelImageProducer(int w, int h)
Creates a new instance.

## Method Details

### getRadius

public int getRadius()

### setBrightness

public void setBrightness(float newValue)

### needsGeneration

public boolean needsGeneration()

### regenerateColorWheel

public void regenerateColorWheel()

### generateColorWheel

public void generateColorWheel()